Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10803

Description

I have been able to consistently crash qgis by doing this:

1) Start qgis and load project that has vectors with actions.

2) Click on vector in the legend and then click on Identify Feature.

3) In the Identify Results window, click on an action.

(my action opens up a window that says "starting konqueror ftp://..." and then konqueror brings up the ftp site)

4) Click on the Close button in the window that says "starting konqueror" will crash qgis.

I have attached the debug messages I got on my Konsole.

History

#1 - 2007-07-26 04:47 AM - Tim Sutton

On mac osx I can replicate this by e.g. making an action that dues

curl qgis.org

Then quickly pressing cancel while running the action. In the console the final message is:

terminate called without an active exception

I did some research on this and it seems one offered solution is to initialise the offending pointer like this:

x = new(std::nothrow) foo;

I tried doing this on the message output (initialised in qgisapp.cpp) and the various other members in qgsrunprocess.cp but was not able to resolve the

issue this way. I also tried explicitly calling terminate() or kill() on the qprocess but that also didnt fix the issue. Perhaps Gavin has some idea?

Tim

#2 - 2007-07-27 10:02 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#3 - 2007-07-28 03:51 PM - Gavin Macaulay -

- Resolution set to fixed
ftp://.


- Status changed from In Progress to Closed

Fixed in commit:09b7ac7c (SVN r7111). Problem was that a signal/slot in a deleted class instance was being triggered when the output dialog box was

closed when the process was still running.

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

Files

qgis_actions_crash.txt 3.28 KB 2007-07-25 cgs_bob -

2024-04-30 2/2


